#version unofficial MegaPOV 0.7;

#declare use_povman = on;


#declare OBJuvPOVmaxX =  .207792;
#declare OBJuvPOVminX = -.155821;
#declare OBJuvPOVmaxY =  .749614;
#declare OBJuvPOVminY = -.00414102;
#declare OBJuvPOVmaxZ =  .067376;
#declare OBJuvPOVminZ = -.151938;


/*
camera {
    location < -40, 180, -350>
    angle 30
    look_at < 0, 130, 0>
}
light_source { < 2.779105, 1.74807, -.2>*1000 rgb<1,1,1>}
light_source { < -1.5, 2.74807,-.95969>*1000 rgb<1,1,1>}
background {rgb<0.5,0.5,0.5>}

*/


#declare P_Pigment_Body = pigment {
	image_map { png "MMBodyM" once }
}
#declare P_Pigment_Head = pigment {
	image_map { png "MMHeadMalRase" once }
}
#declare P_Trans_Head = pigment {
	image_map { png "MMHeadTR" once }
}


#declare OBJuvPOV_Texture = texture
{
    pigment { P_Pigment_Head }
    normal { bump_map { png "MMHeadB" once } }
#if (use_povman = off)
	finish { phong .2 phong_size 20 }
}
#else
}
texture {
	pigment { 
		shader {
			shader_file "skin.slp"
			"As"  <1,1,1>*0.2
			"skinColor"  <241, 178, 149>/255
			"sheenColor"  1.2*<236, 180, 150>/255
		}
	}
	finish { 
		ambient 1 
		diffuse 0
	}
}
#end

#declare OBJuvPOV_Texture_B = texture
{
    pigment { P_Pigment_Body }
    normal { bump_map { png "MMBodyM" once } }
#if (use_povman = off)
	finish { phong .2 phong_size 20 }
}
#else
}
texture {
	pigment { 
		shader {
			shader_file "skin.slp"
			"As"  <1,1,1>*0.2
			"skinColor"  <241, 178, 149>/255
			"sheenColor"  1.2*<236, 180, 150>/255
		}
	}
	finish { 
		ambient 1 
		diffuse 0
	}
}
#end

#declare OBJuvPOV_Texture_H2 = texture
{
	pigment {
		pigment_pattern { P_Trans_Head }
		pigment_map {
			[0 rgbt <0,0,0,1> ]
			[1 P_Pigment_Body ]
		}
	}
}


#declare OBJuvPOV_Texture_Leather = texture
{
	pigment {
		bozo turbulence .2 lambda 5
		scale .1
		color_map {
			[0 color rgb <0.302,0.157,0.102>*.7 ]
			[1 color rgb <0.404,0.212,0.137>*.7 ]
		}
	}
	normal { wrinkles poly_wave 2 scale .1 }
	finish { brilliance 1.1 specular 1.0 roughness .1 metallic }
}

#declare OBJuvPOV_Texture_Spike = texture
{
	pigment { color rgb <0.765,0.733,0.722> }
	finish { specular 1.0 roughness .01 }
}



#declare OBJuvPOV_Texture_OBJuvPOVSkinBody = texture {OBJuvPOV_Texture_B}
#declare OBJuvPOV_Texture_OBJuvPOVEyebrows = texture {OBJuvPOV_Texture_H2}
#declare OBJuvPOV_Texture_OBJuvPOVUpperEyebrows = texture {pigment {rgbt <0,0,0,1>}}
#declare OBJuvPOV_Texture_OBJuvPOVSkinHead = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVLacrimal = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVTeeth = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVTongue = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVEyelashes = texture {OBJuvPOV_Texture_H2}
#declare OBJuvPOV_Texture_OBJuvPOVInnerMouth = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVLips = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVNostrils = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVEyeBall = texture {pigment {rgbt <0,0,0,1>}}
#declare OBJuvPOV_Texture_OBJuvPOVIris = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVPupil = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVEyeWhite = texture {OBJuvPOV_Texture finish {specular .3}}
#declare OBJuvPOV_Texture_OBJuvPOVNipples = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVFingernails = texture {OBJuvPOV_Texture_B}
//#declare OBJuvPOV_Texture_OBJuvPOVToenails = texture {OBJuvPOV_Texture_B}
#declare OBJuvPOV_Texture_OBJuvPOVLeather = texture {OBJuvPOV_Texture_Leather}
#declare OBJuvPOV_Texture_OBJuvPOVRivets = texture {OBJuvPOV_Texture_Spike}
#declare OBJuvPOV_Texture_OBJuvPOVRings = texture {OBJuvPOV_Texture_Spike}
#declare OBJuvPOV_Texture_OBJuvPOVPouch = texture {OBJuvPOV_Texture_Leather}
#declare OBJuvPOV_Texture_OBJuvPOVJock = texture {OBJuvPOV_Texture_Leather}
#declare OBJuvPOV_Texture_OBJuvPOVLabel = texture {OBJuvPOV_Texture_Leather}
#declare OBJuvPOV_Texture_OBJuvPOVSpike = texture {OBJuvPOV_Texture_Spike}
#declare OBJuvPOV_Texture_OBJuvPOVBands = texture {OBJuvPOV_Texture_Leather}

#declare GrosBill = object
{
    #include "Grosbill2.msh"
    scale 185/OBJuvPOVmaxY
}

/*
object {GrosBill}
box { <-100, 0, -30>, <100, 106, -80>  pigment { rgb 1 }}
*/
